### Hierarchy

- ModalService

## Index

### Constructors

- constructor

### Properties

- placeholderService
- resolver
- modalList

### Methods

- create
- destroy
- show

## Constructors

### constructor

- new ModalService(resolver: ComponentFactoryResolver, placeholderService: PlaceholderService): ModalService

- - Defined in src/modal/modal.service.ts:22

  #### Parameters

  - ##### resolver: ComponentFactoryResolver

  - ##### placeholderService: PlaceholderService

  #### Returns ModalService

## Properties

### placeholderService

placeholderService: PlaceholderService

- Defined in src/modal/modal.service.ts:27

### resolver

resolver: ComponentFactoryResolver

- Defined in src/modal/modal.service.ts:27

### Static Protected modalList

modalList: Array<ComponentRef<any>> = []

- Defined in src/modal/modal.service.ts:22

## Methods

### create

- create<T>(data: object): ComponentRef<any>

- - Defined in src/modal/modal.service.ts:33

  #### Type parameters

  - #### T

  #### Parameters

  - ##### data: object

    - ##### component: any

    - ##### Optional inputs: any

  #### Returns ComponentRef<any>

### destroy

- destroy(index?: number): void

- - Defined in src/modal/modal.service.ts:113

  #### Parameters

  - ##### Default value index: number = -1

  #### Returns void

### show

- show(data: AlertModalData): ComponentRef<any>

- - Defined in src/modal/modal.service.ts:92

  #### Parameters

  - ##### data: AlertModalData

  #### Returns ComponentRef<any>

Generated using TypeDoc